Subject: Re: [Tools-discuss] Something odd going on with DNS for xml.resource.org

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 02 Jun 2014 13:35:57 +0200

Hi Elwyn,

On 2014-06-01 02:08 Elwyn Davies said:
> Hi, Henrik.
> 
> I have been checking periodically to see if the HTML/RFCmarkup -> PDF
> functions of the online xml2rfc are working again (Ticket #254) and have
> observed an odd transient effect on two successive days.
> 
> Running the xml2rfc tool from a cached form has resulted in "Cannot find
> server xml.resource.org" both on an initial run and a retry.
> 
> However going off and running "ping xml.resource.org" gets a ping
> response from zinfandel and after that I can (un)successfully run the
> xml2rfc request against xml.resource.org.

Not sure why this would be, but I'd recommend you to start using xml2rfc.ietf.org
for the online xml2rfc service -- we're headed that way.

> Unsuccessfully because the fontconfig issue is now fixed (presumably by
> the reinstall) but there is a different problem in that wkhtmltopdf
> can't find libXrender.so.1 (the ticket has been altered to reflect the
> revised state of affairs).

Thanks.  I've installed some additional libs and the html as pdf output
works for me now.

> The transient effect doesn't seem to affect xml2rfc.tools.ietf.org but
> it also has the libXrender.so.1 problem (not surprisingly).
> 
> Not sure what is going on.  Maybe some sort of DNS lifetime issue?

Hmm.  Maybe.

Best regards,

	Henrik